Commit 83f81af1 authored by Michał "rysiek" Woźniak's avatar Michał "rysiek" Woźniak
Browse files

some explanations of versions and repositories used

parent aae78dc6
...@@ -60,6 +60,7 @@ RUN case $NGINX_PACKAGE in \ ...@@ -60,6 +60,7 @@ RUN case $NGINX_PACKAGE in \
# NOTICE: Debian-provided packages are *older*, so adjust NGINX_VERSION accordingly # NOTICE: Debian-provided packages are *older*, so adjust NGINX_VERSION accordingly
# (as of this writing Debian buster package version is at 1.14*) # (as of this writing Debian buster package version is at 1.14*)
# if you want to use the latest nginx mainline, just use '*'
ARG NGINX_VERSION=1.14* ARG NGINX_VERSION=1.14*
# we want Debian nginx, or nginx mainline # we want Debian nginx, or nginx mainline
......
...@@ -31,9 +31,11 @@ If set to string `"true"`, `dhparam` generation will be skipped entirely; this i ...@@ -31,9 +31,11 @@ If set to string `"true"`, `dhparam` generation will be skipped entirely; this i
These control the locations where the `run.sh` script expects to find the `nginx` pidfile, the file to watch for logrotate signalling, and the SSL DH parameters files; these should reflect `nginx` config. These control the locations where the `run.sh` script expects to find the `nginx` pidfile, the file to watch for logrotate signalling, and the SSL DH parameters files; these should reflect `nginx` config.
- `NGINX_PACKAGE` (default: "`nginx`") - `NGINX_PACKAGE` (default: "`nginx`")
- `NGINX_VERSION` (default: "`1.13*`") - `NGINX_VERSION` (default: "`1.14*`")
Name of Nginx package to install, and version of it. If the package name is exactly `nginx`, it is installed from official Nginx repositories; otherwise it is installed from Debian repositories. Backports repository is supported in the latter case the same way as in `INSTALL_PACKAGES` (see below). Name of Nginx package to install, and version of it. If the package name is exactly `nginx` and the version does not exist in Debian repositories, it is installed from official [`mainline`](https://serverfault.com/a/715126) Nginx repositories; otherwise it is installed from Debian repositories. Backports repository is supported in the latter case the same way as in `INSTALL_PACKAGES` (see below).
By default, `NGINX_PACKAGE` is "`nginx`" and `NGINX_VERSION` is `1.14*`, which on Debian `buster` installs `nginx` from official Debian repositories. If you'd prefer to track the Nginx `mainline` repository (which is probably adviseable), just set `NGINX_VERSION` to "`*`".
- `INSTALL_PACKAGES` (default: empty) - `INSTALL_PACKAGES` (default: empty)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment